set terminal png size 1920,1080
set output 'filter_impedance.png'
set title "Filter impedance vs. frequency"
set xlabel "frequency (Hz)"
set ylabel "impedance (ohms)"
set yrange [0:*]
set datafile separator ","
set format x "%.4s%c"
unset key

plot "attenuation.csv" using 1:7 with linespoints lt rgb "red"

set terminal png size 1920,1080
set output 'attenuation_db.png'
set title "Filter attenuation vs frequency"
set xlabel "frequency (Hz)"
set ylabel "relative power (db below maximum)"
set yrange [*:0]
set datafile separator ","
set format x "%.4s%c"
unset key

plot "attenuation.csv" using 1:9 with linespoints lt rgb "red"


